Signatures

GET https://nexabio.link/api/signatures/
curl --request GET \
--url 'https://nexabio.link/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Einzelheiten Beschreibung
search Optional Zeichenkette Der Suchbegriff.
search_by Optional Zeichenkette Nach welchem Feld suchen Sie? Erlaubte Werte sind: name.
datetime_field Optional Zeichenkette Zulässige Werte: datetime, last_datetime
datetime_start Optional Zeichenkette Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional Zeichenkette Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional Zeichenkette Nach welchem Feld die Ergebnisse sortiert werden sollen. Erlaubte Werte sind: signature_id, datetime, last_datetime, name.
order_type Optional Zeichenkette Die Anordnung der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Anordnung und DESC für absteigende Anordnung.
page Optional Ganzzahl Die Seitennummer, von der Sie Ergebnisse wünschen. Standardmäßig 1.
results_per_page Optional Ganzzahl Wie viele Ergebnisse möchten Sie pro Seite? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 0,
            "name": "John Doe",
            "template": "mars",
            "settings": {
                "direction": "ltr",
                "is_removed_branding": true,
                "image_url": "",
                "sign_off": "Regards,",
                "full_name": "John Doe",
                "job_title": "Software Engineer",
                "department": "Engineering",
                "company": "Example Company",
                "email": "john@example.com",
                "website_name": "Example",
                "website_url": "https:\/\/example.com\/",
                "address": "123 Example Street",
                "address_url": "",
                "phone_number": "",
                "whatsapp": "",
                "facebook_messenger": "",
                "telegram": "",
                "disclaimer": "",
                "font_family": "arial",
                "font_size": 14,
                "width": 500,
                "image_width": 50,
                "image_border_radius": 0,
                "socials_width": 20,
                "socials_padding": 10,
                "separator_size": 0,
                "border_radius": 10,
                "background_color": "#f9f9f9",
                "border_color": "#e0e0e0",
                "theme_color": "#000000",
                "full_name_color": "#000000",
                "text_color": "#000000",
                "link_color": "#000000",
                "facebook": "johndoe",
                "threads": "johndoe",
                "x": "johndoe",
                "instagram": "johndoe",
                "youtube": "johndoe",
                "tiktok": "",
                "spotify": "",
                "pinterest": "",
                "linkedin": "",
                "snapchat": "",
                "twitch": "",
                "discord": "",
                "github": "",
                "reddit": ""
            },
            "last_datetime": null,
            "datetime": "2026-09-03 21:14:53"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://nexabio.link/api/signatures?page=1",
        "last": "https://nexabio.link/api/signatures?page=1",
        "next": null,
        "prev": null,
        "self": "https://nexabio.link/api/signatures?page=1"
    }
}
GET https://nexabio.link/api/signatures/{signature_id}
curl --request GET \
--url 'https://nexabio.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "mars",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": true,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "Engineering",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "Example",
            "website_url": "https:\/\/example.com\/",
            "address": "123 Example Street",
            "address_url": "",
            "phone_number": "",
            "whatsapp": "",
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 0,
            "border_radius": 10,
            "background_color": "#f9f9f9",
            "border_color": "#e0e0e0",
            "theme_color": "#000000",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "janedoe",
            "threads": "janedoe",
            "x": "janedoe",
            "instagram": "janedoe",
            "youtube": "janedoe",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-09-03 21:14:53"
    }
}
POST https://nexabio.link/api/signatures
Parameter Einzelheiten Beschreibung
name Erforderlich Zeichenkette Name
project_id Optional Ganzzahl Ein Projekt hilft Ihnen, Ihre Ressourcen zu kategorisieren.
template Optional Zeichenkette Zulässige Werte: plain_text, mars, mercury, venus, nova
direction Optional Zeichenkette Zulässige Werte: ltr, rtl
is_removed_branding Optional Boolesch Remove branding
image_url Optional Zeichenkette Only use JPG, JPEG, GIF, PNG images.
sign_off Optional Zeichenkette Sign off
full_name Optional Zeichenkette Full name
job_title Optional Zeichenkette Job title
department Optional Zeichenkette Department
company Optional Zeichenkette Company
email Optional Zeichenkette E-Mail
website_name Optional Zeichenkette Website name
website_url Optional Zeichenkette Website URL
address Optional Zeichenkette Address
address_url Optional Zeichenkette Link to a Google maps location, for example.
phone_number Optional Zeichenkette Phone number
whatsapp Optional Zeichenkette WhatsApp
facebook_messenger Optional Zeichenkette Facebook messenger username
telegram Optional Zeichenkette Telegram username
disclaimer Optional Zeichenkette Disclaimer text
font_family Optional Zeichenkette Zulässige Werte: arial, verdana, helvetica, times_new_roman, georgia
font_size Optional Ganzzahl Zulässige Werte: 12-18
width Optional Ganzzahl Zulässige Werte: 300-600
image_width Optional Ganzzahl Zulässige Werte: 45-150
image_border_radius Optional Ganzzahl Zulässige Werte: 0-100
socials_width Optional Ganzzahl Zulässige Werte: 15-30
socials_padding Optional Ganzzahl Zulässige Werte: 5-15
separator_size Optional Ganzzahl Zulässige Werte: 0-5
border_radius Optional Ganzzahl Zulässige Werte: 0-30
background_color Optional Zeichenkette Background color
border_color Optional Zeichenkette Border color
theme_color Optional Zeichenkette Theme color
full_name_color Optional Zeichenkette Full name color
text_color Optional Zeichenkette Text color
link_color Optional Zeichenkette Link color
facebook Optional Zeichenkette Facebook username
threads Optional Zeichenkette Threads username
x Optional Zeichenkette X username
instagram Optional Zeichenkette Instagram username
youtube Optional Zeichenkette YouTube channel
tiktok Optional Zeichenkette TikTok username
spotify Optional Zeichenkette Spotify username
pinterest Optional Zeichenkette Pinterest username
linkedin Optional Zeichenkette LinkedIn username
snapchat Optional Zeichenkette Snapchat username
twitch Optional Zeichenkette Twitch username
discord Optional Zeichenkette Discord user id
github Optional Zeichenkette Github username
reddit Optional Zeichenkette Reddit username
curl --request POST \
--url 'https://nexabio.link/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=jane@example.com' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 10,
            "background_color": "#f8fafc",
            "border_color": "#cbd5e1",
            "theme_color": "#2563eb",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": null,
        "datetime": "2026-09-03 21:14:53"
    }
}
POST https://nexabio.link/api/signatures/{signature_id}
Parameter Einzelheiten Beschreibung
name Optional Zeichenkette Name
project_id Optional Ganzzahl Ein Projekt hilft Ihnen, Ihre Ressourcen zu kategorisieren.
template Optional Zeichenkette Zulässige Werte: plain_text, mars, mercury, venus, nova
direction Optional Zeichenkette Zulässige Werte: ltr, rtl
is_removed_branding Optional Boolesch Remove branding
image_url Optional Zeichenkette Only use JPG, JPEG, GIF, PNG images.
sign_off Optional Zeichenkette Sign off
full_name Optional Zeichenkette Full name
job_title Optional Zeichenkette Job title
department Optional Zeichenkette Department
company Optional Zeichenkette Company
email Optional Zeichenkette E-Mail
website_name Optional Zeichenkette Website name
website_url Optional Zeichenkette Website URL
address Optional Zeichenkette Address
address_url Optional Zeichenkette Link to a Google maps location, for example.
phone_number Optional Zeichenkette Phone number
whatsapp Optional Zeichenkette WhatsApp
facebook_messenger Optional Zeichenkette Facebook messenger username
telegram Optional Zeichenkette Telegram username
disclaimer Optional Zeichenkette Disclaimer text
font_family Optional Zeichenkette Zulässige Werte: arial, verdana, helvetica, times_new_roman, georgia
font_size Optional Ganzzahl Zulässige Werte: 12-18
width Optional Ganzzahl Zulässige Werte: 300-600
image_width Optional Ganzzahl Zulässige Werte: 45-150
image_border_radius Optional Ganzzahl Zulässige Werte: 0-100
socials_width Optional Ganzzahl Zulässige Werte: 15-30
socials_padding Optional Ganzzahl Zulässige Werte: 5-15
separator_size Optional Ganzzahl Zulässige Werte: 0-5
border_radius Optional Ganzzahl Zulässige Werte: 0-30
background_color Optional Zeichenkette Background color
border_color Optional Zeichenkette Border color
theme_color Optional Zeichenkette Theme color
full_name_color Optional Zeichenkette Full name color
text_color Optional Zeichenkette Text color
link_color Optional Zeichenkette Link color
facebook Optional Zeichenkette Facebook username
threads Optional Zeichenkette Threads username
x Optional Zeichenkette X username
instagram Optional Zeichenkette Instagram username
youtube Optional Zeichenkette YouTube channel
tiktok Optional Zeichenkette TikTok username
spotify Optional Zeichenkette Spotify username
pinterest Optional Zeichenkette Pinterest username
linkedin Optional Zeichenkette LinkedIn username
snapchat Optional Zeichenkette Snapchat username
twitch Optional Zeichenkette Twitch username
discord Optional Zeichenkette Discord user id
github Optional Zeichenkette Github username
reddit Optional Zeichenkette Reddit username
curl --request POST \
--url 'https://nexabio.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 0,
        "name": "Jane Doe Signature",
        "template": "nova",
        "settings": {
            "direction": "ltr",
            "is_removed_branding": false,
            "image_url": "",
            "sign_off": "Regards,",
            "full_name": "Jane Doe",
            "job_title": "Software Engineer",
            "department": "",
            "company": "Example Company",
            "email": "jane@example.com",
            "website_name": "",
            "website_url": "",
            "address": "",
            "address_url": "",
            "phone_number": "",
            "whatsapp": null,
            "facebook_messenger": "",
            "telegram": "",
            "disclaimer": "",
            "font_family": "arial",
            "font_size": 14,
            "width": 500,
            "image_width": 50,
            "image_border_radius": 0,
            "socials_width": 20,
            "socials_padding": 10,
            "separator_size": 1,
            "border_radius": 16,
            "background_color": "#fff7ed",
            "border_color": "#fed7aa",
            "theme_color": "#c2410c",
            "full_name_color": "#000000",
            "text_color": "#000000",
            "link_color": "#000000",
            "facebook": "",
            "threads": "",
            "x": "",
            "instagram": "",
            "youtube": "",
            "tiktok": "",
            "spotify": "",
            "pinterest": "",
            "linkedin": "",
            "snapchat": "",
            "twitch": "",
            "discord": "",
            "github": "",
            "reddit": ""
        },
        "last_datetime": "2026-09-03 21:14:53",
        "datetime": "2026-09-03 21:14:53"
    }
}
DELETE https://nexabio.link/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://nexabio.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \